Bug 1146853 - Proxy naming conflict when using static nested classes with the same name and package
Summary: Proxy naming conflict when using static nested classes with the same name and...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR5
: EAP 6.4.0
Assignee: Jozef Hartinger
QA Contact: Matej Novotny
URL:
Whiteboard:
Depends On: 1148811
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-26 08:50 UTC by Jozef Hartinger
Modified: 2019-08-19 12:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of EAP if two static nested classes with equal names enclosed by different classes were used as beans, Weld generated proxies with equal class names for both such beans and `ClassCastException` were thrown when such beans were used. This was fixed by amending the proxy class name generation procedure to include the name of the enclosing class. Two static nested classes can now have the same simple class name even when enclosed by two different classes in the same package.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker WELD-1558 Major Resolved Proxy naming conflict when using static nested classes with the same name and package. 2015-07-30 12:41:19 UTC

Description Jozef Hartinger 2014-09-26 08:50:53 UTC
See https://issues.jboss.org/browse/WELD-1558 for details

Comment 1 Kabir Khan 2014-10-08 12:11:12 UTC
Fixed by 1.1.26 upgrade 1148811

Comment 2 Ron Šmeral 2014-10-14 17:15:02 UTC
Verified in 6.4.0.DR5.


Note You need to log in before you can comment on or make changes to this bug.